package com.example.cristina.tipcalculatorandroid;

import android.app.Activity;
import android.content.Intent;
import android.media.Image;
import android.os.Bundle;
import android.provider.Settings;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

public class SuccessActivity extends AppCompatActivity {


    //6. In the new activity, we declare the intent and the message/tip it has packed in.
    Intent intent;
    String message;
    String tip;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_success);


        //6.1 Unwrap the intent and get the tip and the message.
        intent = getIntent();
        message = intent.getStringExtra(MainActivity.EXTRA_MESSAGE);
        tip = intent.getStringExtra(MainActivity.TIP_MESSAGE);


        //7. Drop a label in the xml file of SuccessActivity and set it's value to "Your total is: [total]"
        TextView totalLabel = (TextView) findViewById(R.id.totalLabel);
        totalLabel.setText("Your total is: " + message);


        //8. (new) We here create an image view that should display a different emoticon depending on the
        //   tip value (that we previously received via the intent). If the tip is smaller that 10% a sad face should appear, if the tip is bigger than 20%
        //   a happy face should display.
        ImageView emoticon = (ImageView) findViewById(R.id.imageView);

        if (Double.parseDouble(tip) < 0.1) {
            emoticon.setImageResource(R.mipmap.sad);

        } else if (Double.parseDouble(tip) <0.2 && Double.parseDouble(tip)>=0.1) {

            emoticon.setImageResource(R.mipmap.maybe);
        } else {
            emoticon.setImageResource(R.mipmap.happy);

        }



    }


    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle app bar item clicks here. The app bar
        // automatically handles clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        return super.onOptionsItemSelected(item);
    }
}
